Bug 254758 - games/vkquake: update to 1.05.2
Summary: games/vkquake: update to 1.05.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/Novum/vkQuake/rele...
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2021-04-04 09:38 UTC by Jan Beich
Modified: 2021-04-25 22:16 UTC (History)
1 user (show)

See Also:


Attachments
v1 (1.84 KB, patch)
2021-04-04 09:38 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-04-04 09:38:44 UTC
Created attachment 223798 [details]
v1

"git diff 1.03.0..1.05.2 Quake/Makefile" suggests there's no need to adjust games/vkquake/Makefile

- Builds fine on 11.4/12.2/14.0 aarch64/amd64/i386 and with non-default (inversed) options
- Runs fine on 11.4 i386 and 14.0 amd64 under Wayland and X11

Disclaimer: I don't use this port but it's handy to test Vulkan in SDL sometimes.
Comment 1 Automation User 2021-04-04 10:01:21 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/281180811
Comment 2 commit-hook freebsd_committer 2021-04-25 22:15:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=59e3137d1d54cc18a61b11461d4cc65cd38b0427

commit 59e3137d1d54cc18a61b11461d4cc65cd38b0427
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-01-11 02:42:12 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-04-25 22:14:15 +0000

    games/vkquake: update to 1.05.2

    Changes:        https://github.com/Novum/vkQuake/releases/tag/1.04.0
    Changes:        https://github.com/Novum/vkQuake/releases/tag/1.04.1
    Changes:        https://github.com/Novum/vkQuake/releases/tag/1.05.0
    Changes:        https://github.com/Novum/vkQuake/releases/tag/1.05.1
    Changes:        https://github.com/Novum/vkQuake/releases/tag/1.05.2
    PR:             254758
    Approved by:    maintainer timeout (3 weeks)

 games/vkquake/Makefile | 6 +-----
 games/vkquake/distinfo | 8 +++-----
 2 files changed, 4 insertions(+), 10 deletions(-)